/*
 Copyright (c) 2017 CommonsWare, LLC
 Licensed under the Apache License, Version 2.0 (the "License"); you may not
 use this file except in compliance with the License. You may obtain	a copy
 of the License at http://www.apache.org/licenses/LICENSE-2.0. Unless required
 by applicable law or agreed to in writing, software distributed under the
 License is distributed on an "AS IS" BASIS,	WITHOUT	WARRANTIES OR CONDITIONS
 OF ANY KIND, either express or implied. See the License for the specific
 language governing permissions and limitations under the License.
 */

package com.commonsware.conference;

import android.arch.persistence.room.Entity;
import android.arch.persistence.room.Ignore;
import android.arch.persistence.room.PrimaryKey;
import android.support.annotation.NonNull;

@Entity(tableName = "tracks")
class Track {
  @PrimaryKey(autoGenerate = true)
  final Long id;

  @NonNull final String title;
  @NonNull final String location;

  @Ignore
  Track(@NonNull String title, @NonNull String location) {
    this(null, title, location);
  }

  Track(Long id, @NonNull String title, @NonNull String location) {
    this.id=id;
    this.title=title;
    this.location=location;
  }
}
