/*
 Copyright (c) 2017 CommonsWare, LLC
 Licensed under the Apache License, Version 2.0 (the "License"); you may not
 use this file except in compliance with the License. You may obtain	a copy
 of the License at http://www.apache.org/licenses/LICENSE-2.0. Unless required
 by applicable law or agreed to in writing, software distributed under the
 License is distributed on an "AS IS" BASIS,	WITHOUT	WARRANTIES OR CONDITIONS
 OF ANY KIND, either express or implied. See the License for the specific
 language governing permissions and limitations under the License.
 */

package com.commonsware.conference;

import android.arch.persistence.room.TypeConverter;
import java.util.Calendar;

class TypeTransmogrifiers {
  @TypeConverter
  public static Calendar toCalendar(Long value) {
    if (value==null) {
      return null;
    }

    Calendar result=Calendar.getInstance();

    result.setTimeInMillis(value);

    return result;
  }

  @TypeConverter
  public static Long fromCalendar(Calendar date) {
    return date == null ? null : date.getTimeInMillis();
  }
}
